--- title: "View cluster OIDC" slug: "nks-getoidc" updated: 2026-09-17T10:05:54Z published: 2026-09-17T10:05:54Z canonical: "api.ncloud-docs.com/nks-getoidc" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # View cluster OIDC Available in VPC View OIDC configuration information for a specific cluster. ## Requests The following describes the request format for the endpoint. The request format is as follows. | Method | URI | | --- | --- | | GET | /vnks/v2/clusters/{uuid}/oidc (Korea Region) | | GET | /vnks/sgn-v2/clusters/{uuid}/oidc (Singapore Region) | | GET | /vnks/jpn-v2/clusters/{uuid}/oidc (Japan Region) | ### Request headers For information about the headers common to all Ncloud Kubernetes Service APIs, see [Ncloud Kubernetes Service request headers](/docs/en/compute-vpckubernetesservice#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `uuid` | String | Required | Cluster's UUID - See [View cluster list](/docs/en/nks-getclusterlist) | ### Request example The following is a sample request. ``` curl --location --request GET 'https://nks.apigw.ntruss.com/vnks/v2/clusters/0000a20e-e0fb-4dc9-af1b-97fd3f8d0000/oidc' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Sub Account Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Responses The following describes the response format. ### Response syntax The response syntax is as follows. ``` { "clientId": "String", "groupsClaim": "String", "groupsPrefix": "String", "issuerURL": "String", "requiredClaim": "String", "status": "Boolean", "usernameClaim": "String", "usernamePrefix": "String" } ``` ### Response body The following describes the response body. | Field | Type | Required | Description | | --- | --- | --- | --- | | `clientId` | String | - | Client ID of the OIDC provider | | `groupsClaim` | String | - | JWT Claim to use as the user's groups | | `groupsPrefix` | String | - | Prefix to add before `groupsClaim` - Use to avoid conflicts with existing groups | | `issuerURL` | String | - | URL of the OIDC provider | | `requiredClaim` | String | - | Key=value pairs that specify a required claim in the ID token | | `status` | Boolean | - | - `true` \| `false` | | `usernameClaim` | String | - | Claim to use as the user's username | | `usernamePrefix` | String | - | Prefix to add before `usernameClaim` - Use to avoid conflicts with existing usernames | ### Response status codes For information about the HTTP status codes common to all Ncloud Kubernetes Service APIs, see [Ncloud Kubernetes Service response status codes](/docs/en/compute-vpckubernetesservice#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The following is a sample response. ``` { "status": false } ``` or ``` { "status": true, "clientId": "****52578605-08hva51gs5dbuoocv3e2ml5jh5dp****.apps.******usercontent.com", "issuerURL": "https://accounts.******.com", "groupsClaim": "", "groupsPrefix": "", "usernameClaim": "", "usernamePrefix": "" } ```